package com.chaitin.reflection;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class ReflectionTest {
    public static void main(String[] args) throws NoSuchMethodException,
            InvocationTargetException,
            InstantiationException,
            IllegalAccessException, ClassNotFoundException {
        // 获取用户类
        // 方法1
        Class<?> c = Class.forName("com.chaitin.reflection.UserImpl");
        // Class c1 = ClassLoader.getSystemClassLoader().loadClass("java.lang.Runtime");



        UserImpl user = (UserImpl) c.newInstance();
        user.login();
        // 方法2
//        Class c1 = UserImpl.class;
        // 方法3
//        IUser user = new UserImpl();
//        Class c2 = user.getClass();

        // 获取用户类的login方法
        Method userLogin = c.getMethod("login",  null);
        // 设置方法为可访问
        userLogin.setAccessible(true);

        // 获取用户类的构造函数
        //Constructor userConstructor = c.getConstructor();
        // 使用构造函数实例化一个用户对象
        Object obj = c.newInstance();

        // 调用用户对象的obj方法
       // userLogin.invoke(obj);
    }
}
