package com.chaitin.rmi;


import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class RMIClient {
    public static void main(String args[]) throws RemoteException, NotBoundException {
        Registry r = LocateRegistry.getRegistry("127.0.0.1", 1099);
        //从服务端查找接口类型的远程对象，并调用方法
        com.chaitin.rmi.IRemoteObject remoteObject = (IRemoteObject) r.lookup("remoteObject");
        remoteObject.sayHello("hello,world");
    }
}
