package com.chaitin.rmi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.rmi.AlreadyBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class RMIServer {
    public static final Logger logger = LoggerFactory.getLogger(RMIServer.class);
    public static void main(String[] args) throws RemoteException, AlreadyBoundException{
        IRemoteObject remoteObject = new RemoteObjectImpl();
        //开启一个注册中心,绑定我们定义的远程对象，默认端口一般为1099

        Registry r = LocateRegistry.createRegistry(1099);
        r.bind("remoteObject", remoteObject);
        logger.info("绑定成功");

    }
}
